Skip to main content

Tags

Tags are hash-prefixed keywords or phrases that appear in the title, description, or comments of a dataset. Tags can be used to index datasets by their contained tags with a search, which allows for topical dataset categorisation.


Objects

Tag

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe tag ID
namestringThe tag name
usagenumberUnsigned integerNumber of times the tag is used within the workspace
{
"id" : "bac94f73-b3b6-4dfc-83d2-76cce2702cd2",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags/bac94f73-b3b6-4dfc-83d2-76cce2702cd2"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/search?q=tag%3Afantastic"
}
}
}

Requests

View all tags in a workspace

GET /api/workspaces/{workspace-id}/tags

Returns all tags in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags' -i -X GET

Response

200 OK

Tag collection with HAL links.

{
"_embedded" : {
"tags" : [ {
"id" : "bac94f73-b3b6-4dfc-83d2-76cce2702cd2",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags/bac94f73-b3b6-4dfc-83d2-76cce2702cd2"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/search?q=tag%3Afantastic"
}
}
}, {
"id" : "ea16954a-e0f3-4c2f-8051-cdd22560eca7",
"name" : "postgres",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags/ea16954a-e0f3-4c2f-8051-cdd22560eca7"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/search?q=tag%3Apostgres"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags"
}
}
}

View all tags in the news for a workspace

GET /api/workspaces/{workspace-id}/news/tags

Returns all tags in the news for the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist

Response

200 OK

Tag collection with HAL links.


View a tag in a workspace

GET /api/workspaces/{workspace-id}/tags/{tag-id}

Returns the tag {tag-id} in the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist
  • Tag {tag-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags/bac94f73-b3b6-4dfc-83d2-76cce2702cd2' -i -X GET

Response

200 OK

Tag with HAL links.

{
"id" : "bac94f73-b3b6-4dfc-83d2-76cce2702cd2",
"name" : "fantastic",
"usage" : 1,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/tags/bac94f73-b3b6-4dfc-83d2-76cce2702cd2"
},
"search" : {
"href" : "https://app.matatika.com/api/workspaces/7410bcd3-3540-4e2d-b459-bf9a211a9d3f/search?q=tag%3Afantastic"
}
}
}

See Also